Error Functions
Basic and Miscellaneous Math Functions

## Functions

std::complex< double > | itpp::erf (const std::complex< double > &z)
| Error function for complex argument. More...
double | itpp::erfinv (double x)
| Inverse of error function.
double | itpp::Qfunc (double x)
| Q-function.
vec | itpp::erf (const vec &x)
| Error function.
mat | itpp::erf (const mat &x)
| Error function.
cvec | itpp::erf (const cvec &x)
| Error function.
cmat | itpp::erf (const cmat &x)
| Error function.
vec | itpp::erfinv (const vec &x)
| Inverse of error function.
mat | itpp::erfinv (const mat &x)
| Inverse of error function.
vec | itpp::erfc (const vec &x)
| Complementary error function.
mat | itpp::erfc (const mat &x)
| Complementary error function.
vec | itpp::Qfunc (const vec &x)
| Q-function.
mat | itpp::Qfunc (const mat &x)
| Q-function.

## Detailed Description

## Function Documentation

ITPP_EXPORT std::complex< double > itpp::erf | ( | const std::complex< double > & | z | ) |

Error function for complex argument.

Author
  Adam Piatyszek

This function calculates a well known error function `erf(z)` for complex `z`. The implementation is based on unofficial implementation for Octave. Here is a part of the author's note from original sources:

Put together by John Smith john at arrows dot demon dot co dot uk, using ideas by others.

Calculate `erf(z)` for complex `z`. Three methods are implemented; which one is used depends on z.

The code includes some hard coded constants that are intended to give about 14 decimal places of accuracy. This is appropriate for 64-bit floating point numbers.

Definition at line 154 of file error.cpp.

References itpp::abs(), itpp::cerf_continued_fraction(), itpp::cerf_rybicki(), and itpp::cerf_series().

Referenced by itpp::erf().

Generated on Thu Mar 20 2014 12:26:44 for IT++ by Doxygen 1.8.6